package goap

type AtomUriData struct {
	Next BaseApChain
	Uri  string
}

func (atomurivalue *AtomUriData) GetSelfOrBase() (BaseApChain, bool) {
	return atomurivalue.Next, true
}

func (atomurivalue *AtomUriData) MarshalToMap() map[string]any {
	return appendWithKey(
		atomurivalue.Next.MarshalToMap(),
		KEY_OSTATUS_ATOMURI,
		[]map[string]any{{KEY_VALUE: atomurivalue.Uri}},
	)
}

type ConversationData struct {
	Next BaseApChain
	Uri  string
}

func (atomurivalue *ConversationData) GetSelfOrBase() (BaseApChain, bool) {
	return atomurivalue.Next, true
}

func (atomurivalue *ConversationData) MarshalToMap() map[string]any {
	return appendWithKey(
		atomurivalue.Next.MarshalToMap(),
		KEY_OSTATUS_CONVERSATION,
		[]map[string]any{{KEY_VALUE: atomurivalue.Uri}},
	)
}
