package goap

type ValueData struct {
	Next  BaseApChain
	Value ValueValue[string]
}

func (namedata *ValueData) GetSelfOrBase() (BaseApChain, bool) {
	return namedata.Next, true
}

func (namedata *ValueData) MarshalToMap() map[string]any {
	return appendWithKey(
		namedata.Next.MarshalToMap(),
		KEY_SCHEMA_VALUE,
		[]map[string]any{namedata.Value.Marshal()},
	)
}
